Module ij
Package ij.plugin.tool

# Class PixelInspectionTool

java.lang.Object
ij.plugin.tool.PlugInTool
ij.plugin.tool.PixelInspectionTool

All Implemented Interfaces:
  `PlugIn`

public class PixelInspectionTool extends PlugInTool
This plugin continuously displays the pixel values of the cursor and its surroundings. It is usefule for examining how a filter changes the data (also during preview). If the Pixel Inspector Window is in the foreground, "c" with any modifier keys (CTRL-C etc) copies the current data into the clipboard (tab-delimited). The arrow keys nudge the position. Preferences (Press the Prefs button at top left): Radius determines the size of the window, 3x3 for radius=1, etc. The Pixel Inspector window must be closed and opened to get the new size. Readout for grayscale 8invalid input: '&'16 bit images can be raw, calibrated or hexadecimal. Readout for RGB images can ge R,G,B triples, gray value or hexadecimal. For copying the data to clipboard, it can be selected whether the position (x,y) is not not written, written in the first line or in the same way as the header lines of the Pixel Inspector panel. Limitations and known problems: x and y coordinates are always uncalibrated pixel numbers. Some image operations do not update the display. Michael Schmid Version 2007-Dec-06 - bugs fixed: did not always follow cursor nudge could make the display hang pixel value calibration was sometimes ignored Version 2007-Dec-14 - supports exponential format for large/small data values

## Constructor Summary

Constructors
Constructor
Description
`PixelInspectionTool()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getToolIcon()`
Return the string encoding of the tool icon.
`String`
`getToolName()`
Return the tool name.
`void`
`mouseDragged(ImagePlus imp, MouseEvent e)`
`void`
`mousePressed(ImagePlus imp, MouseEvent e)`
`void`
`showOptionsDialog()`

### Methods inherited from class ij.plugin.tool.PlugInTool

`getMacroProgram, mouseClicked, mouseEntered, mouseExited, mouseMoved, mouseReleased, run, runMacroTool, runMenuTool, showPopupMenu`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PixelInspectionTool

public PixelInspectionTool()

## Method Details

### mousePressed

public void mousePressed(ImagePlus imp, MouseEvent e)

Overrides:
  `mousePressed` in class `PlugInTool`

### mouseDragged

public void mouseDragged(ImagePlus imp, MouseEvent e)

Overrides:
  `mouseDragged` in class `PlugInTool`

### showOptionsDialog

public void showOptionsDialog()

Overrides:
  `showOptionsDialog` in class `PlugInTool`

### getToolName

public String getToolName()
Description copied from class: `PlugInTool`
Return the tool name.

Overrides:
  `getToolName` in class `PlugInTool`

### getToolIcon

public String getToolIcon()
Description copied from class: `PlugInTool`
Return the string encoding of the tool icon. See http://rsb.info.nih.gov/ij/developer/macro/macros.html#icons The default icon is the first letter of the tool name.

Overrides:
  `getToolIcon` in class `PlugInTool`